For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList knowledge base documents
        • DELDelete knowledge base document
        • GETGet knowledge base document
        • PATCHUpdate knowledge base document
        • POSTCreate knowledge base document from URL
        • POSTCreate knowledge base document from text
        • POSTCreate knowledge base document from file
        • GETGet document content
        • GETGet document chunk
        • GETGet source file URL
        • POSTRefresh knowledge base document
        • GETGet RAG chunks for a document
        • PATCHUpdate document file
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseDocuments

List knowledge base documents

GET
/v1/convai/knowledge-base
GET
/v1/convai/knowledge-base
$curl https://api.elevenlabs.io/v1/convai/knowledge-base
1{
2 "documents": [
3 {
4 "id": "string",
5 "name": "string",
6 "metadata": {
7 "created_at_unix_secs": 1,
8 "last_updated_at_unix_secs": 1,
9 "size_bytes": 1
10 },
11 "supported_usages": [
12 "auto"
13 ],
14 "access_info": {
15 "is_creator": true,
16 "creator_name": "John Doe",
17 "creator_email": "john.doe@example.com",
18 "role": "admin"
19 },
20 "folder_parent_id": "string",
21 "folder_path": [
22 {
23 "id": "string"
24 }
25 ],
26 "dependent_agents": [
27 {
28 "referenced_resource_ids": [
29 "string"
30 ],
31 "id": "string",
32 "name": "string",
33 "type": "available",
34 "created_at_unix_secs": 1,
35 "access_level": "admin"
36 }
37 ],
38 "type": "string",
39 "url": "string",
40 "auto_sync_info": {
41 "minimum_frequency_days": 7,
42 "auto_remove": false,
43 "consec_failures": 0,
44 "next_refresh_by": 1
45 }
46 }
47 ],
48 "has_more": true,
49 "next_cursor": "string"
50}
Get a list of available knowledge base documents
Was this page helpful?
Previous

Delete knowledge base document

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
searchstring or nullOptional
If specified, the endpoint returns only such knowledge base documents whose names start with this string.
show_only_owned_documentsbooleanOptionalDefaults to falseDeprecated

If set to true, the endpoint will return only documents owned by you (and not shared from somebody else). Deprecated: use created_by_user_id instead.

created_by_user_idstring or nullOptional

Filter documents by creator user ID. When set, only documents created by this user are returned. Takes precedence over show_only_owned_documents. Use ‘@me’ to refer to the authenticated user.

typeslist of enums or nullOptional
If present, the endpoint will return only documents of the given types.
Allowed values:
parent_folder_idstring or nullOptional
If set, the endpoint will return only documents that are direct children of the given folder.
ancestor_folder_idstring or nullOptional
If set, the endpoint will return only documents that are descendants of the given folder.
folders_firstbooleanOptionalDefaults to false
Whether folders should be returned first in the list of documents.
sort_directionenumOptional
The direction to sort the results
Allowed values:
sort_byenum or nullOptional
The field to sort the results by
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
documentslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error